	IFND	LIBRARIES_CON_I
LIBRARIES_CON_I SET 1
	IFND	EXEC_LIBRARIES_I
	INCLUDE	'exec/libraries.i'
	ENDC
	IFND	INTUITION_INTUITION_I
	INCLUDE	'intuition/intuition.i'
	ENDC
CONNAME: MACRO
	DC.B	'con.library',0
	ENDM
CHARDEFSIZE	= (256+7)/8
IGNOREVALUE	= -1
	RSRESET	; ConBase
con_LibNode:	RS.B	LIB_SIZE
con_SegList:	RS.L	1
con_IntBase:	RS.L	1
con_MathBase:	RS.L	1
con_SIZEOF:	RS.W	0
	RSRESET	; ConHandle
cnh_CDBase:	RS.L	1
cnh_Window:	RS.L	1
cnh_UserPort:	RS.L	1
cnh_Unit:	RS.L	1
cnh_WriteIO:	RS.L	1
cnh_Signal:	RS.L	1
cnh_ExLength:	RS.W	1
cnh_CursorStatus:	RS.W	1
cnh_PadSpace:	RS.B	1
cnh_PadZero:	RS.B	1
cnh_PadGroup:	RS.B	1
cnh_PadString:	RS.B	1
cnh_DecimalPoint:	RS.B	1
cnh_FloatE:	RS.B	1
cnh_EchoTable:	RS.B	CHARDEFSIZE
cnh_UserNotes:	RS.L	8
cnh_MsgHandler:	RS.L	1
cnh_Reserved:	RS.L	4
cnh_SIZEOF:	RS.W	0
	RSRESET	; ConInfo
cin_XPos:	RS.W	1
cin_YPos:	RS.W	1
cin_XSize:	RS.W	1
cin_YSize:	RS.W	1
cin_Styles:	RS.W	1
cin_FgCol:	RS.W	1
cin_BgCol:	RS.W	1
cin_Reserved:	RS.L	4
cin_SIZEOF:	RS.W	0
	RSRESET	; AcceptStructure
acc_XStart:	RS.W	1
acc_YStart:	RS.W	1
acc_Styles:	RS.W	1
acc_FgCol:	RS.W	1
acc_BgCol:	RS.W	1
acc_ExitFlags:	RS.L	1
acc_Class:	RS.L	1
acc_Code:	RS.W	1
acc_Qualifier:	RS.W	1
acc_IAddress:	RS.L	1
acc_MouseX:	RS.W	1
acc_MouseY:	RS.W	1
acc_Seconds:	RS.L	1
acc_Micros:	RS.L	1
acc_IDCMPWindow:	RS.L	1
acc_Char:	RS.B	1
acc_Pad001:	RS.B	1
acc_ValidTable:	RS.B	CHARDEFSIZE
acc_ExitTable:	RS.B	CHARDEFSIZE
acc_Reserved:	RS.L	4
acc_SIZEOF:	RS.W	0
accs_InputBuffer:	RS.L	1
accs_WorkBuffer:	RS.L	1
accs_MaxLength:	RS.W	1
accs_FieldLen:	RS.W	1
accs_Length:	RS.W	1
accs_Position:	RS.W	1
accs_DispPos:	RS.W	1
accs_Reserved:	RS.L	2
accs_SIZEOF:	RS.W	0
DEFMODE_ALL	= 0
DEFMODE_NEW	= 1
DEFMODE_ADD	= 2
DEFMODE_REM	= 3
DEFMODE_GET	= 4
DEFALL		= 0<<17
DEFNONE		= 1<<17
DEFALFANUM	= 2<<17
DEFALFA		= 3<<17
DEFNUMERIC	= 4<<17
DEFDECIMAL	= 5<<17
DEFHEX		= 6<<17
DEFOCTAL	= 7<<17
DEFBINARY	= 8<<17
DEFFLOAT	= 9<<17
CURSOROFF	= 0
CURSORON	= 1
ACCB_ERASE	= 31
ACCF_ERASE	= 1<<ACCB_ERASE
ACCB_RAWKEY	= 28
ACCF_RAWKEY	= 1<<ACCB_RAWKEY
ACCB_DUALKEY	= 27
ACCF_DUALKEY	= 1<<ACCB_DUALKEY
ACCB_UPKEY	= 26
ACCF_UPKEY	= 1<<ACCB_UPKEY
ACCB_ECHO	= 25
ACCF_ECHO	= 1<<ACCB_ECHO
ACCB_WAIT	= 24
ACCF_WAIT	= 1<<ACCB_WAIT
ACCB_JUSTIFIED	= 22
ACCF_JUSTIFIED	= 1<<ACCB_JUSTIFIED
ACCB_CONTINUE	= 21
ACCF_CONTINUE	= 1<<ACCB_CONTINUE
ACCB_OVERWRITE	= 20
ACCF_OVERWRITE	= 1<<ACCB_OVERWRITE
ACCB_LASTEXIT	= 19
ACCF_LASTEXIT	= 1<<ACCB_LASTEXIT
ACCB_FULLSTOP	= 18
ACCF_FULLSTOP	= 1<<ACCB_FULLSTOP
ACCB_NOAMIGA	= 17
ACCF_NOAMIGA	= 1<<ACCB_NOAMIGA
ACCB_NOSTDAMIGA	= 16
ACCF_NOSTDAMIGA	= 1<<ACCB_NOSTDAMIGA
ACCB_NOSCROLL	= 15
ACCF_NOSCROLL	= 1<<ACCB_NOSCROLL
SGFB_PLAIN	= 0
SGFF_PLAIN	= 1<<SGFB_PLAIN
SGFB_BOLD	= 1
SGFF_BOLD	= 1<<SGFB_BOLD
SGFB_ITALIC	= 2
SGFF_ITALIC	= 1<<SGFB_ITALIC
SGFB_UNDERLINED	= 3
SGFF_UNDERLINED	= 1<<SGFB_UNDERLINED
CNV_DECIMAL	= 1
CNV_HEX		= 2
CNV_OCTAL	= 3
CNV_BINARY	= 4
CNV_SIGNED	= 1<<16
CNV_LEADSPACE	= 1<<17
AKEY_NONE	= 0
AKEY_HELP	= 5
AKEY_BS	= 8
AKEY_TAB	= 9
AKEY_LF	= 10
AKEY_RETURN	= 13
AKEY_ARROWRG	= 17
AKEY_ARROWLF	= 18
AKEY_ARROWUP	= 19
AKEY_ARROWDN	= 20
AKEY_ESC	= 27
AKEY_DEL	= 127
AKEY_F1	= 129
AKEY_F2	= 130
AKEY_F3	= 131
AKEY_F4	= 132
AKEY_F5	= 133
AKEY_F6	= 134
AKEY_F7	= 135
AKEY_F8	= 136
AKEY_F9	= 137
AKEY_F10	= 138
AKEY_CSI	= 155
	ENDC
